/*
 * This file is part of the YASMIN 8051 simulator project
 *
 * Copyright (c) 2000 by Gwenn Englebienne
 *
 * This software is free software; it is protected by the GPL. You can 
 * modify and/or redistribute it under the terms specified by the GNU
 * Public Licence version 2.
 *
 * Be advised that this software comes with no warranty at all, not
 * even the implied warranty of merchantability or fitness for a 
 * particular purpose. 
 *
 * For more information, you could look at the COPYING file, or have a 
 * look at the free software foundation's web site: http://www.fsf.org
 *
 */
 
#ifndef GENERAL_H
#define GENERAL_H

void uppercase (char *s);  // Change s to uppercase
int is_a_nr (const char *s);     // test wether a string is a number
char *hex_byte (const char c);   // return hexadecimal representation of c
char *hex_word (const unsigned short s);  
char *bin_byte (const char c);   // return binary representation of c
char *psw_readable (const unsigned char c);
char asm_to_char (const char *s);
int asm_to_int (const char *s);

#endif // GENERAL_H
